QueryCriteria.LinearStateQueryCriteria
Keywords: net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class QueryCriteria.LinearStateQueryCriteria

- net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria

- Enclosing class:
    QueryCriteria

      public static class QueryCriteria.LinearStateQueryCriteria

  LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

  See Also:
    VaultSchema.VaultLinearState

- - ### Constructor Detail

    - #### LinearStateQueryCriteria

          public LinearStateQueryCriteria(@Nullable
                                          java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                          @Nullable
                                          java.util.List<java.util.UUID> uuid,
                                          @Nullable
                                          java.util.List<java.lang.String> externalId,
                                          @NotNull
                                          net.corda.core.node.services.Vault.StateStatus status,
                                          @Nullable
                                          java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                          @NotNull
                                          net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                          @Nullable
                                          java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

      LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

      See Also:
        VaultSchema.VaultLinearState

    - #### LinearStateQueryCriteria

          public LinearStateQueryCriteria(@Nullable
                                          java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                          @Nullable
                                          java.util.List<java.util.UUID> uuid,
                                          @Nullable
                                          java.util.List<java.lang.String> externalId,
                                          @NotNull
                                          net.corda.core.node.services.Vault.StateStatus status,
                                          @Nullable
                                          java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                          @NotNull
                                          net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria(@Nullable
                                                        java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                        @Nullable
                                                        java.util.List<java.util.UUID> uuid,
                                                        @Nullable
                                                        java.util.List<java.lang.String> externalId,
                                                        @NotNull
                                                        net.corda.core.node.services.Vault.StateStatus status,
                                                        @Nullable
                                                        java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria(@Nullable
                                                        java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                        @Nullable
                                                        java.util.List<java.util.UUID> uuid,
                                                        @Nullable
                                                        java.util.List<java.lang.String> externalId,
                                                        @NotNull
                                                        net.corda.core.node.services.Vault.StateStatus status)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria(@Nullable
                                                        java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                        @Nullable
                                                        java.util.List<java.util.UUID> uuid,
                                                        @Nullable
                                                        java.util.List<java.lang.String> externalId)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria(@Nullable
                                                        java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                        @Nullable
                                                        java.util.List<java.util.UUID> uuid)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria(@Nullable
                                                        java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

    - #### LinearStateQueryCriteria

          @JvmOverloads
          public LinearStateQueryCriteria()

    - #### LinearStateQueryCriteria

          public LinearStateQueryCriteria(@Nullable
                                          java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                          @Nullable
                                          java.util.List<net.corda.core.contracts.UniqueIdentifier> linearId,
                                          @NotNull
                                          net.corda.core.node.services.Vault.StateStatus status,
                                          @Nullable
                                          java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                          @NotNull
                                          net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### LinearStateQueryCriteria

          public LinearStateQueryCriteria(@Nullable
                                          java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                          @Nullable
                                          java.util.List<net.corda.core.contracts.UniqueIdentifier> linearId,
                                          @NotNull
                                          net.corda.core.node.services.Vault.StateStatus status,
                                          @Nullable
                                          java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

  - ### Method Detail

    - #### visit

          @NotNull
          public java.util.Collection<javax.persistence.criteria.Predicate> visit(@NotNull
                                                                                           IQueryCriteriaParser parser)

    - #### withParticipants

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withParticipants(@NotNull
                                                                                                                     java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

    - #### withUuid

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withUuid(@NotNull
                                                                                                             java.util.List<java.util.UUID> uuid)

    - #### withExternalId

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withExternalId(@NotNull
                                                                                                                   java.util.List<java.lang.String> externalId)

    - #### withStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withStatus(@NotNull
                                                                                                               net.corda.core.node.services.Vault.StateStatus status)

    - #### withContractStateTypes

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withContractStateTypes(@NotNull
                                                                                                                           java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### withRelevancyStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withRelevancyStatus(@NotNull
                                                                                                                        net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### withExactParticipants

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria withExactParticipants(@NotNull
                                                                                                                          java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria copy(@Nullable
                                                                                                         java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.util.UUID> uuid,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.lang.String> externalId,
                                                                                                         @NotNull
                                                                                                         net.corda.core.node.services.Vault.StateStatus status,
                                                                                                         @Nullable
                                                                                                         java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria copy(@Nullable
                                                                                                         java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.util.UUID> uuid,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.lang.String> externalId,
                                                                                                         @NotNull
                                                                                                         net.corda.core.node.services.Vault.StateStatus status,
                                                                                                         @Nullable
                                                                                                         java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                         @NotNull
                                                                                                         net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

    - #### getParticipants

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getParticipants()

    - #### getUuid

          @Nullable
          public java.util.List<java.util.UUID> getUuid()

    - #### getExternalId

          @Nullable
          public java.util.List<java.lang.String> getExternalId()

    - #### getStatus

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus getStatus()

    - #### getContractStateTypes

          @Nullable
          public java.util.Set<java.lang.Class> getContractStateTypes()

    - #### getRelevancyStatus

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus getRelevancyStatus()

    - #### getExactParticipants

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getExactParticipants()

    - #### component1

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component1()

    - #### component2

          @Nullable
          public java.util.List<java.util.UUID> component2()

    - #### component3

          @Nullable
          public java.util.List<java.lang.String> component3()

    - #### component4

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus component4()

    - #### component5

          @Nullable
          public java.util.Set<java.lang.Class> component5()

    - #### component6

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus component6()

    - #### component7

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component7()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria copy(@Nullable
                                                                                                         java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.util.UUID> uuid,
                                                                                                         @Nullable
                                                                                                         java.util.List<java.lang.String> externalId,
                                                                                                         @NotNull
                                                                                                         net.corda.core.node.services.Vault.StateStatus status,
                                                                                                         @Nullable
                                                                                                         java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                         @NotNull
                                                                                                         net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                                                                                         @Nullable
                                                                                                         java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

      LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

      See Also:
        VaultSchema.VaultLinearState

    - #### toString

          @NotNull
          public java.lang.String toString()

      LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

      See Also:
        VaultSchema.VaultLinearState

    - #### hashCode

          public int hashCode()

      LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

      See Also:
        VaultSchema.VaultLinearState

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      LinearStateQueryCriteria: provides query by attributes defined in VaultSchema.VaultLinearState

      See Also:
        VaultSchema.VaultLinearState